SOFT(1)

NAME
soft - A self-hostable Git server for the command line

SYNOPSIS
soft [options...] [argument...]

DESCRIPTION
Soft Serve is a self-hostable Git server for the command line.

COMMANDS

admin
    Administrate the server

COMMANDS
    migrate
        Migrate the database to the latest version

    rollback
        Rollback the database to the previous version

    sync-hooks
        Update repository hooks

browse PATH
    Browse a repository

help [command]
    Help about any command

serve
    Start the server

OPTIONS
    --sync-hooks synchronize hooks for all repositories before running the server

COPYRIGHT
(C) 2021-2023 Charmbracelet, Inc.

Released under MIT license.